petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMNetworkRegisterComponent

Registers the network component

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkRegisterComponent(DM dm,const char *name,PetscInt size,PetscInt *key)

Logically collective on DM Many br

Input Parameters Many br

| dm | - the network object Many br
| name | - the component name Many br
| size | - the storage size in bytes for this component data Many br

Output Parameters Many br

key -an integer key that defines the component Many br

Notes Many brThis routine should be called by all processors before calling DMNetworkLayoutSetup(). Many br

Many br

### See Also

DMNetworkLayoutSetUp, DMNetworkCreate

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages